﻿using AutoMapper;
using IRaCIS.Core.Application.Service.BusinessFilter;
using IRaCIS.Core.Domain.Share;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Mvc;

using Panda.DynamicWebApi;
using Panda.DynamicWebApi.Attributes;
using System.Diagnostics.CodeAnalysis;


namespace IRaCIS.Core.Application.Service
{

#pragma warning disable CS8618


    #region 非泛型版本

    [TypeFilter(typeof(UnifiedApiResultFilter))]
    [Authorize, DynamicWebApi]
    public class BaseService : IBaseService, IDynamicWebApi
    {


        public static IResponseOutput Null404NotFound<TEntity>(TEntity? businessObject) where TEntity : class
        {
            return new ResponseOutput<string>()
            .NotOk($"The query object {typeof(TEntity).Name} does not exist , or was deleted by someone else, or an incorrect parameter query caused", code: ApiResponseCodeEnum.DataNotExist);
        }
    }


    public interface IBaseService
    {
       


    }
    #endregion

}
