﻿namespace IRaCIS.Application.Contracts
{
    public class RankPriceDTO
    {
        public Guid Id { get; set; }
        public string RankName { get; set; } = string.Empty;
        public decimal Timepoint { get; set; }
        public decimal TimepointIn24H { get; set; }
        public decimal TimepointIn48H { get; set; }
        public decimal Adjudication { get; set; }
        public decimal AdjudicationIn24H { get; set; }
        public decimal AdjudicationIn48H { get; set; }
        public decimal Global { get; set; }
        public decimal Training { get; set; }
        public decimal Downtime { get; set; }

        public decimal RefresherTraining { get; set; }
        public int ShowOrder { get; set; }
    }

    public class RankDic
    {
        public Guid Id { get; set; }
        public string RankName { get; set; } = string.Empty;
    }

    public class RankPriceCommand
    {
        public Guid? Id { get; set; }
        public string RankName { get; set; } = string.Empty;
        public decimal Timepoint { get; set; }
        public decimal TimepointIn24H { get; set; }
        public decimal TimepointIn48H { get; set; }
        public decimal Adjudication { get; set; }
        public decimal AdjudicationIn24H { get; set; }
        public decimal AdjudicationIn48H { get; set; }
        public decimal Global { get; set; }
        public decimal Training { get; set; }
        public decimal Downtime { get; set; }
        public decimal RefresherTraining { get; set; }


    }
    public class RankPriceQueryDTO : PageInput
    {
    }
}