﻿namespace IRaCIS.Application.Contracts
{

    public class DtoDoctorList
    {
        public Guid TrialId { get; set; }

        public string Name { get; set; }
    }

    public class TrialPaymentPriceDTO
    {
        public Guid TrialId { get; set; }
        public string TrialCode { get; set; } = String.Empty;
        public string Indication { get; set; } = String.Empty;
        public string Cro { get; set; } = String.Empty;
        public int Expedited { get; set; }

        public bool? IsNewTrial { get; set; }
        public decimal? TrialAdditional { get; set; }
        public DateTime? CreateTime { get; set; }
        public string SowName { get; set; } = String.Empty;
        public string SowPath { get; set; } = String.Empty;
        public string SowFullPath => SowPath;
        public decimal AdjustmentMultiple { get; set; } = 1;

        public string DoctorsNames { get; set; } = String.Empty;

        public string ReviewMode { get; set; } = String.Empty;


    }

    public class TrialPaymentPriceCommand
    {
        public Guid TrialId { get; set; }
        public decimal TrialAdditional { get; set; }
        public decimal AdjustmentMultiple { get; set; }

        public bool? IsNewTrial { get; set; }

    }
}
