﻿namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public class StudyDTFDTO
    {
        public Guid Id { get; set; }
        public Guid StudyId { get; set; }

        public string FileName { get; set; } = string.Empty;

        public string Path { get; set; } = string.Empty;
        public Guid CreateUserId { get; set; }

        public string UserName { get; set; } = string.Empty;

        public string FirstName { get; set; } = string.Empty;

        public string LastName { get; set; } = string.Empty;
        public DateTime CreateTime { get; set; }
    }

    public class StudyDTFAddOrUpdateCommand
    {
        public Guid? Id { get; set; }
        public Guid StudyId { get; set; }
        public string FileName { get; set; } = string.Empty;
        public string Path { get; set; } = string.Empty;

    }

}