﻿using IRaCIS.Core.Application.ViewModel;

namespace IRaCIS.Core.Application.Service.ReadingCalculate.Interface
{
    public interface ILuganoCalculateService
    {
        /// <summary>
        /// 计算靶病灶状态
        /// </summary>
        /// <param name="inDto"></param>
        /// <returns></returns>
        Task CalculateTargetLesionStatus(CalculateTargetLesionStatusInDto inDto);

        /// <summary>
        /// 计算靶病灶融合后状态
        /// </summary>
        /// <param name="inDto"></param>
        /// <returns></returns>
        Task CalculateMergeTargetLesionStatus(CalculateTargetLesionStatusInDto inDto);
    }
}
