namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 一致性分析规则")]
[Table("TaskMedicalReviewRule")]
public class TaskMedicalReviewRule : BaseFullAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    public User DoctorUser { get; set; }
    #endregion

    public Guid DoctorUserId { get; set; }

    public bool IsEnable { get; set; }

    public string Note { get; set; } = string.Empty;

    public Guid TrialId { get; set; }

    public int PlanVisitCount { get; set; }

    public int PlanJudgeCount { get; set; }

    public int PlanGlobalCount { get; set; }

    public int PlanTumorCount { get; set; }


}

