﻿namespace IRaCIS.Core.Domain.Models;
public interface ISoftDelete<TKey> where TKey : struct
{
    public TKey? DeleteUserId { get; set; }
    public bool IsDeleted { get; set; }

    public DateTime? DeletedTime { get; set; }
}

public interface ISoftDelete : ISoftDelete<Guid>
{

}
