namespace IRaCIS.Core.Domain.Models;

[Comment("ҽƷ - ¼")]
[Table("DoctorWorkload")]
public  class Workload : BaseFullAuditEntity
{
    #region 

    #endregion

    public int Adjudication { get; set; }

    public int AdjudicationIn24H { get; set; }

    public int AdjudicationIn48H { get; set; }

    public int CreateUserType { get; set; }

    public int DataFrom { get; set; }

    public Guid DoctorId { get; set; }

    public int Downtime { get; set; }

    public int Global { get; set; }

    public bool IsLock { get; set; }

    public int RefresherTraining { get; set; }

    public int Timepoint { get; set; }

    public int TimepointIn24H { get; set; }

    public int TimepointIn48H { get; set; }

    public int Training { get; set; }

    public Guid TrialId { get; set; }

    public DateTime WorkTime { get; set; }

   
    public string YearMonth { get; set; } = null!;
}
