namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - Ŀٴ")]
[Table("TrialExperience")]
public partial class TrialExperience : BaseFullAuditEntity
{
    #region 

    [JsonIgnore]
    public List<TrialExperienceCriteria> ExperienceCriteriaList { get; set; }
    #endregion
    public Guid DoctorId { get; set; }

    public Guid? PhaseId { get; set; }

    public Dictionary Phase { get; set; }

    public string EvaluationContent { get; set; } = string.Empty;
    public int VisitReadingCount { get; set; }

    public DateTime? StartTime { get; set; }

    public DateTime? EndTime { get; set; }
}
