namespace IRaCIS.Core.Domain.Models;

[Comment("项目中心 - 影像推送记录")]
[Table("SCPImageUpload")]
public class SCPImageUpload : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Trial Trial { get; set; }

    [JsonIgnore]
    public TrialSite TrialSite { get; set; }
    #endregion
    public string CallingAE { get; set; } = string.Empty;
    public string CalledAE { get; set; } = string.Empty;
    public string CallingAEIP { get; set; } = string.Empty;
    public DateTime StartTime { get; set; }
    public DateTime EndTime { get; set; }
    public int FileCount { get; set; }
    public long FileSize { get; set; }
    public int StudyCount { get; set; }
    public Guid TrialId { get; set; }
    public Guid TrialSiteId { get; set; }
}
