namespace IRaCIS.Core.Domain.Models;

[Comment(" - Site")]
[Table("Site")]
public  class Site : BaseFullAuditEntity
{
    #region 
    [JsonIgnore]
    [ForeignKey("HospitalId")]
    public Hospital Hospital { get; set; }
    [JsonIgnore]
    public List<TrialSite> TrialSiteList { get; set; }
    #endregion

    public string SiteName { get; set; } = string.Empty;
    public string SiteNameCN { get; set; } = string.Empty;
    public string AliasName { get; set; } = string.Empty;
    public string SiteCode { get; set; } = string.Empty;

    public int Code { get; set; }

    public string City { get; set; } = string.Empty;
    public string Country { get; set; } = string.Empty;
    public Guid? HospitalId { get; set; }
    public int State { get; set; }

    public string Province { get; set; } = string.Empty;

    public string UniqueCode { get; set; } = string.Empty;

    public string Address { get; set; } = string.Empty;

    public string DirectorName { get; set; } = string.Empty;
    public string DirectorPhone { get; set; } = string.Empty;
    public string ContactName { get; set; } = string.Empty;
    public string ContactPhone { get; set; } = string.Empty;
}
