using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 用户账户操作日志")]
[Table("UserLog")]
public class UserLog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public User LoginUser { get; set; }

    [JsonIgnore]
    public User OptUser { get; set; }
    #endregion
    public string IP { get; set; } = string.Empty;
    public string LoginFaildName { get; set; } = string.Empty;
    public UserOptType OptType { get; set; }
    public string LoginPassword { get; set; } = string.Empty;
    public Guid? LoginUserId { get; set; }

    public Guid? OptUserId { get; set; }
    public string IPRegion { get; set; } = string.Empty;

}

