using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 质控问题表单答案")]
[Table("TrialQCQuestionAnswer")]
public class TrialQCQuestionAnswer : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public TrialQCQuestion TrialQCQuestionConfigure { get; set; }
    #endregion
    public Guid TrialId { get; set; }

    public string Answer { get; set; } = string.Empty;

    public TrialQCProcess QCProcessEnum { get; set; }

    [Comment("1代表第一个人QC数据  2 代表第二个人QC数据")]
    public CurrentQC CurrentQCEnum { get; set; }

    public Guid SubjectVisitId { get; set; }
    public Guid TrialQCQuestionConfigureId { get; set; }
}
