using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("ϵͳ׼ - ȫ Ҫͬ")]
[Table("ReadingSystemCriterionDictionary")]
public class ReadingSystemCriterionDictionary : BaseAddAuditEntity
{
    #region 

    [JsonIgnore]
    [ForeignKey("DictionaryId")]
    public Dictionary Dictionary { get; set; }
    #endregion
    public Guid CriterionId { get; set; }
    public Guid DictionaryId { get; set; }
    public bool IsSystemCriterion { get; set; } = false;

    public string ParentCode { get; set; } = string.Empty;
    public bool IsBaseLineUse { get; set; } = false;
    public bool IsFollowVisitUse { get; set; } = false;

    [Comment("׼ֵ")]
    public CrterionDictionaryGroup CrterionDictionaryGroup { get; set; } = CrterionDictionaryGroup.General;
}
