namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 自定义标记")]
[Table("ReadingCustomTag")]
public class ReadingCustomTag : BaseAddAuditEntity
{
    #region 导航属性

    #endregion

    public Guid VisitTaskId { get; set; }

    public Guid? StudyId { get; set; }
    public Guid? SeriesId { get; set; }

    public Guid? InstanceId { get; set; }

    [MaxLength]
    public string MeasureData { get; set; } = string.Empty;

    public int? NumberOfFrames { get; set; }

}
