using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - Ŀ̼¼")]
[Table("EnrollDetail")]
public partial class EnrollDetail : BaseAddAuditEntity
{
    #region 
    [JsonIgnore]
    public virtual TrialStatusDetail TrialDetail { get; set; }
    [JsonIgnore]
    public Doctor Doctor { get; set; }
    #endregion
    public Guid DoctorId { get; set; }
    public Guid TrialId { get; set; }
    public EnrollStatus EnrollStatus { get; set; }
    public Guid? EnrollId { get; set; }
    public string Memo { get; set; } = string.Empty;
    public int OptUserType { get; set; }
    public Guid TrialDetailId { get; set; }
}
