﻿namespace IRaCIS.Core.Domain.Models;

[Comment("项目配置 - 访视记录")]
[Table("VisitStage")]
public class VisitStage : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Trial Trial { get; set; }
    #endregion

    public Guid TrialId { get; set; }

    public string BlindName { get; set; } = string.Empty;

    [DecimalPrecision(18, 1)]
    public decimal VisitNum { get; set; }
    public string VisitName { get; set; } = string.Empty;
    public int VisitDay { get; set; }
    public string Description { get; set; } = string.Empty;

    public bool IsConfirmed { get; set; } = false;

    public bool NeedGlobal { get; set; } = false;

    public bool IsBaseLine { get; set; } = false;

    public int VisitWindowLeft { get; set; }
    public int VisitWindowRight { get; set; }

    public bool IsHaveFirstConfirmed { get; set; }
}
