﻿namespace IRaCIS.Application.Contracts
{
    public class ReviewerPayInfoQueryDTO
    {
        public Guid DoctorId { get; set; }
        public string FirstName { get; set; } = String.Empty;
        public string LastName { get; set; } = String.Empty;
        public string ChineseName { get; set; } = String.Empty;
        public string Code { get; set; } = String.Empty;
        public string Phone { get; set; } = String.Empty;
        public string DoctorNameInBank { get; set; } = String.Empty;
        public string IDCard { get; set; } = String.Empty;
        public string BankCardNumber { get; set; } = String.Empty;
        public string BankName { get; set; } = String.Empty;
        public Guid? RankId { get; set; }
        public decimal? Additional { get; set; }
        public DateTime? CreateTime { get; set; }
    }

    public class DoctorPayInfoQueryListDTO : ReviewerPayInfoQueryDTO
    {
        public string Hospital { get; set; } = String.Empty;
        public string RankName { get; set; } = String.Empty;
    }

    public class ReviewerPayInfoCommand
    {
        //public Guid Id { get; set; }
        public Guid DoctorId { get; set; }
        public string DoctorNameInBank { get; set; } = String.Empty;
        public string IDCard { get; set; } = String.Empty;
        public string BankCardNumber { get; set; } = String.Empty;
        public string BankName { get; set; } = String.Empty;
        public Guid RankId { get; set; }
        public decimal? Additional { get; set; }
    }
}

