﻿namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public class StudyReviewerDTO
    {
        public Guid Id { get; set; }
        public Guid StudyId { get; set; }
        public Guid ReviewerId { get; set; }

    }

    public class StudyDistributeInfo
    {
        public Guid StudyId { get; set; }
        public int Status { get; set; }
        //public int ReviewerCount { get; set; }
    }

    public class StudyReviewerCommand
    {
        public List<StudyDistributeInfo> StudyList { get; set; } = new List<StudyDistributeInfo>();
        //public List<Guid> StudyIdList { get; set; }
        public Guid ReviewerId { get; set; }
        //public int WorkloadType { get; set; }
        public Guid TrialId { get; set; }
        //public bool IsDoubleReview { get; set; }
    }

    public class StudyReviewerEditCommand
    {
        public Guid TrialId { get; set; }
        public Guid StudyId { get; set; }
        public bool IsDoubleReview { get; set; }

        public Guid? ReviewerId1 { get; set; }
        public Guid? ReviewerId2 { get; set; }
        public Guid? ReviewerIdForAD { get; set; }
    }

    public class ReviewerDistributionDTO
    {
        public Guid ReviewerId { get; set; }
        public string FirstName { get; set; } = string.Empty;
        public string LastName { get; set; } = string.Empty;
        public string ReviewerCode { get; set; } = string.Empty;
    }
}
