using System.ComponentModel.DataAnnotations;
namespace IRaCIS.Core.Application.ViewModel;

public class DateDto
{
    public string Code { get; set; }

    public string DateType { get; set; }

    public string Identification { get; set; }
}

public class SetInspectionEnumValueDto
{
    [NotDefault]
    public Guid TrialId { get; set; }

    [NotDefault]
    public List<Guid> AuditDataIds { get; set; }



}


public class AccessToDialogueInDto
{
    public Guid Id { get; set; }

    public AccessToDialogueEnum Type { get; set; }

    public DateTime Createtime { get; set; }
}


public class AccessToDialogueOutDto
{
    public string CreateUserName { get; set; }

    public string TalkContent { get; set; }

    public DateTime CreateTime { get; set; }

    public bool IsTitle { get; set; }
}

public enum AccessToDialogueEnum
{
    /// <summary>
    /// 
    /// </summary>
    Question = 0,

    /// <summary>
    /// һԺ˲
    /// </summary>
    Consistency = 1,
}

/// <summary>
/// 
/// </summary>
public class CopyFrontAuditConfigItemDto
{
    public Guid ParentId { get; set; }

    public Guid ChildId { get; set; }
}




