﻿namespace IRaCIS.Application.Contracts
{
    public class SponsorDTO : SponsorCommand
    {

    }

    public class SponsorCommand
    {
        public Guid? Id { get; set; }
        public string SponsorName { get; set; } = string.Empty;

        public string SponsorNameCN { get; set; } = String.Empty;

        public string SponsorCode { get; set; } = String.Empty;

        public bool IsTrialLevel { get; set; }

        public Guid? TrialId { get; set; }

    }

    public class SponsorQueryDTO : PageInput
    {
        public string SponsorName { get; set; } = string.Empty;

        public string SponsorCode { get; set; } = String.Empty;
    }

    public class SponsorSelectDTO
    {
        public Guid Id { get; set; }
        public string SponsorName { get; set; } = string.Empty;
    }
}