﻿namespace IRaCIS.Application.Contracts
{
    public class TrialResearchCenterDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public Guid TrialSiteId { get; set; }
        public string MainCenter { get; set; } = string.Empty;
        public DateTime OptTime { get; set; }
        public int State { get; set; }
    }

    public class TrialResearchCenterDetailDTO : TrialResearchCenterDTO
    {
        public string TrialCode { get; set; } = string.Empty;
        public string TrialName { get; set; } = string.Empty;
        public string ResearchCenterName { get; set; } = string.Empty;
    }

    public class TrialCenterQueryDTO : PageInput
    {
        public Guid TrialId { get; set; }
        public Guid CenterId { get; set; }
    }
}
