namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 国际化配置表 （需要同步）")]
[Table("Internationalization")]
public class Internationalization : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public PublishLog PublishLog { get; set; }

    #endregion
    public int ShowOrder { get; set; }

    [Comment("0 1  2 预翻译 已确认  废除")]
    public int State { get; set; }
    public string Description { get; set; } = string.Empty;

    public string Code { get; set; } = string.Empty;

    public string Value { get; set; } = string.Empty;

    public string ValueCN { get; set; } = string.Empty;

    public int InternationalizationType { get; set; }

    public string FrontType { get; set; } = string.Empty;
    public string Module { get; set; } = string.Empty;
    [Comment("关联版本历史记录表Id")]
    public Guid? PublishLogId { get; set; }
}

