namespace IRaCIS.Core.Domain.Models;

[Comment("ҽƷ - Ŀ֧")]
[Table("TrialPaymentPrice")]
public partial class TrialPaymentPrice : BaseFullAuditEntity
{
    public Guid TrialId { get; set; }

    public Trial Trial { get; set; }

    [DecimalPrecision(18, 2)]
    public decimal TrialAdditional { get; set; } = 0;

    public string SowName { get; set; } = string.Empty;
    public string SowPath { get; set; } = string.Empty;

    [DecimalPrecision(18, 2)]
    public decimal AdjustmentMultiple { get; set; } = 1;

    [Comment("Ƿ ΪĿ")]
    public bool? IsNewTrial { get; set; } = false;
}
