namespace IRaCIS.Core.Domain.Models;

[Comment("受试者访视 - 既往放疗史")]
[Table("PreviousHistory")]
public class PreviousHistory : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }
    #endregion
    public DateTime? StartTime { get; set; }

    public DateTime? EndTime { get; set; }
    public int? IsPD { get; set; }
    public Guid SubjectVisitId { get; set; }
    public bool IsSubjectLevel { get; set; }
    public string Path { get; set; } = String.Empty;
    public string FileName { get; set; } = String.Empty;
    public string Position { get; set; } = String.Empty;
    public Guid ClinicalDataTrialSetId { get; set; }
}

