using IRaCIS.Core.Domain.Share;
using IRaCIS.Core.Domain.Share.Reading;

namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目标准附加评估配置")]
[Table("TrialCriterionAdditionalAssessmentType")]
public class TrialCriterionAdditionalAssessmentType : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    #endregion
    public Guid TrialReadingCriterionId { get; set; }

    public CriterionType CriterionType { get; set; }
    public AdditionalAssessmentType AdditionalAssessmentType { get; set; }

    public bool? IsSelected { get; set; }
}

