namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目部位配置")]
[Table("TrialBodyPart")]
public class TrialBodyPart : BaseAddAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    public Trial Trial { get; set; }

    #endregion

    public string Code { get; set; } = string.Empty;
    public string Name { get; set; } = string.Empty;
    public string NameCN { get; set; } = string.Empty;
    public Guid TrialId { get; set; }
    public bool IsHandAdd { get; set; }

}
