namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目中心DicomAE表")]
[Table("TrialSiteDicomAE")]
public class TrialSiteDicomAE : BaseFullDeleteAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    public TrialSite TrialSite { get; set; }
    #endregion
    public Guid TrialId { get; set; }

    public Guid TrialSiteId { get; set; }
    public string CallingAE { get; set; } = string.Empty;
    public string IP { get; set; } = string.Empty;
    public string Port { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
}

