namespace IRaCIS.Core.Domain.Models;

[Comment("项目配置 - 访视计划调整影像检查")]
[Table("VisitPlanInfluenceStudy")]
public class VisitPlanInfluenceStudy : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("VisitPlanInfluenceStatId")]
    public VisitPlanInfluenceStat VisitPlanInfluenceStat { get; set; }
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }
    #endregion
    public Guid SubjectVisitId { get; set; }

    public Guid StudyId { get; set; }

    public Guid TrialId { get; set; }

    public bool IsDicomStudy { get; set; }

    public string Modality { get; set; } = string.Empty;

    public bool IsOverWindowNowNotOverWindow { get; set; }

    public DateTime? StudyTime { get; set; }

    public string HistoryWindow { get; set; } = string.Empty;

    public string NowWindow { get; set; } = string.Empty;

    public Guid VisitPlanInfluenceStatId { get; set; }

}

