﻿using Newtonsoft.Json.Serialization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Infrastructure.NewtonsoftJson
{
    public class LowerCamelCaseNamingStrategy : NamingStrategy
    {
        protected override string ResolvePropertyName(string name)
        {
            // 将属性名的首字母转换为小写
            return char.ToLower(name[0]) + name.Substring(1);
        }
    }
}
