﻿using System.Collections.Generic;

namespace IRaCIS.Core.Infrastructure.Extention
{
    /// <summary>
    /// 分页信息输入
    /// </summary>
    public class PageInput: SortInput
    {
        public int PageIndex { get; set; } = 1;
        public int PageSize { set; get; } = 10;

    }

    public class SortInput
    {
        public bool Asc { get; set; } = true;
        public string SortField { get; set; } = "";
    }

    public class PageInputMultiSort
    {
        public int PageIndex { get; set; } = 1;
        public int PageSize { set; get; } = 10;

        //["a asc", "b desc", "c asc"]
       public string[] SortArray { get; set; }
    }
}
